Get customer group by slug

Get a customer group by app_id and slug

GET/api/v1/{app_id}/customer-groups/{customer_group_slug}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:GET:/api/v1/{app_id}/customer-groups/{customer_group_slug}

Get a customer group by app_id and slug

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{app_id\}/customer-groups/\{customer_group_slug\}
  • Summary: Get customer group by slug
  • Description: Get a customer group by app_id and slug
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringUUID of the app
customer_group_slugpathYesstringCustomer group slug
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200OKapplication/json (object)
400Invalid requestapplication/json (object)
404Not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Customer Group

PropertyTypeRequiredDetails
app_idstringNo-
created_atstringNo-
discount_percentageintegerNo-
discount_percentage_decimalsintegerNo-
idstringNo-
namestringNo-
slugstringNo-
store_group_idstringNo-
updated_atstringNo-

Generated example (synthetic):

{
  "app_id": "string",
  "created_at": "string",
  "discount_percentage": 0,
  "discount_percentage_decimals": 0,
  "id": "string",
  "name": "string",
  "slug": "string",
  "store_group_id": "string",
  "updated_at": "string"
}

400 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

404 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

500 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: GET
  • Path: /api/v1/\{app_id\}/customer-groups/\{customer_group_slug\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Customer Groups
  • OpenAPI summary: Get customer group by slug

Get customer group by slug

# Get customer group by slug Get a customer group by app_id and slug
GET /api/v1/{app_id}/customer-groups/{customer_group_slug}
Purpose

Get a customer group by app_id and slug

Required inputs

app_id path customer_group_slug path

Primary response

200 ยท OK

Operation key

auth-api:GET:/api/v1/{app_id}/customer-groups/{customer_group_slug}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{app_id}/customer-groups/{customer_group_slug}` - Summary: Get customer group by slug - Description: Get a customer group by app_id and slug - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/customer-groups/{customer_group_slug}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | UUID of the app | | customer_group_slug | path | Yes | string | Customer group slug | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | OK | application/json (object) | | 400 | Invalid request | application/json (object) | | 404 | Not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Customer Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `created_at` | string | No | - | | `discount_percentage` | integer | No | - | | `discount_percentage_decimals` | integer | No | - | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `store_group_id` | string | No | - | | `updated_at` | string | No | - | **Generated example (synthetic):** ```json { "app_id": "string", "created_at": "string", "discount_percentage": 0, "discount_percentage_decimals": 0, "id": "string", "name": "string", "slug": "string", "store_group_id": "string", "updated_at": "string" } ``` ### 400 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 404 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 500 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `GET` - Path: `/api/v1/{app_id}/customer-groups/{customer_group_slug}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/customer-groups/{customer_group_slug}` - OpenAPI tag: Customer Groups - OpenAPI summary: Get customer group by slug